package com.qmth.themis.business.bean.exam;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("提交作答结果参数")
public class AnswerSubmitParamBean {

	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty("考试记录id")
	private Long recordId;
	
	@ApiModelProperty("大题号")
	private Integer mainNumber;

	@ApiModelProperty("小题号")
	private Integer subNumber;
	
	@ApiModelProperty("套题子题序号")
	private Integer subIndex;
	
	@ApiModelProperty("答案json字符串")
	private String answer;
	
	@ApiModelProperty("时间戳")
	private Long version;
	
	@ApiModelProperty("作答累计秒数")
	private Integer durationSeconds;

	public Long getRecordId() {
		return recordId;
	}

	public void setRecordId(Long recordId) {
		this.recordId = recordId;
	}

	public Integer getMainNumber() {
		return mainNumber;
	}

	public void setMainNumber(Integer mainNumber) {
		this.mainNumber = mainNumber;
	}

	public Integer getSubNumber() {
		return subNumber;
	}

	public void setSubNumber(Integer subNumber) {
		this.subNumber = subNumber;
	}

	public Integer getSubIndex() {
		return subIndex;
	}

	public void setSubIndex(Integer subIndex) {
		this.subIndex = subIndex;
	}

	public String getAnswer() {
		return answer;
	}

	public void setAnswer(String answer) {
		this.answer = answer;
	}

	public Long getVersion() {
		return version;
	}

	public void setVersion(Long version) {
		this.version = version;
	}

	public Integer getDurationSeconds() {
		return durationSeconds;
	}

	public void setDurationSeconds(Integer durationSeconds) {
		this.durationSeconds = durationSeconds;
	}
	

	
}
